import apis from '../utils/request';
const { GET, POST, PUT, DELETE } = apis

// 常见问题
export const getQuestions = async function() {
  return await GET(`/wx/getQuestions`);
}

// 提交意见反馈
export const createOption = async function(data) {
  return await POST(`/wx/option`, data);
}

// 获取自己提交的意见列表
export const getOptionList = async function() {
  return await GET(`/wx/getOptionList`);
}

// 查询意见详情
export const getOptionDetail = async function(id) {
  return await GET(`/wx/getOptionDetail/${id}`);
}

// 提交意见反馈
export const deleteOption = async function() {
  return await DELETE(`/wx/deleteOption/${id}`);
}

// 提交意见反馈
export const aboutUs = async function() {
  return await GET(`/wx/aboutUs`);
}

// 获取特色服务列表
export const getServicesList = async function() {
  return await GET(`/wx/getServicesList?status=2`);
}

// 获取分类列表
export const getCategoryList = async function() {
  return await GET(`/wx/getCategoryList?status=2`);
}

// 获取分类列表
export const getEncyclopediaList = async function(categoryId, page) {
  return await GET(`/wx/getEncyclopedia?status=2&page=${page}&categoryId=${categoryId}`);
}

// 获取分类列表
export const getEncyclopediaDetail = async function(id) {
  return await GET(`/wx/getEncyclopediaDetail/${id}`);
}